package com.example.autorization.ui.fragments.edituser

import android.os.Bundle
import android.view.View
import android.widget.Button
import android.widget.CheckBox
import android.widget.EditText
import androidx.fragment.app.Fragment
import androidx.fragment.app.viewModels
import com.example.autorization.R
import com.example.autorization.ui.fragments.signup.User

class EditUserFragment(private val user: User): Fragment(R.layout.fragment_edtit_user_screen) {
    val editUserViewModel by viewModels<EditUserViewModel>()
    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        val passwordEditText =  view.findViewById<EditText>(R.id.PasswordEditText)
        val confirmedPasswordEditText =  view.findViewById<EditText>(R.id.ConfirmPasswordEditText)
        val loginEditText =  view.findViewById<EditText>(R.id.EmailPhoneNumberEditText)
        val nameEditText =  view.findViewById<EditText>(R.id.NameEditText)
        val createButton = view.findViewById<Button>(R.id.CreateAccountButton)

        editUserViewModel.setUser(user)
        editUserViewModel.user.observe(viewLifecycleOwner){
            if (it != null){
                loginEditText.setText(it.email)
                nameEditText.setText(it.name)
            }
        }
    }
}