package com.example.autorization.ui.fragments.edituser

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import com.example.autorization.ui.fragments.signup.User

class EditUserViewModel:ViewModel() {
    private val _editUser = MutableLiveData<EditUser?>(null)
    val editUser :  LiveData<EditUser?> = _editUser

    private val _user = MutableLiveData<User?>(null)
    val user = _user


    fun setUser(user: User){
        _user.postValue(user)
    }


    fun editUserName(newName:String){
        _editUser.postValue(_editUser.value?.copy(name = newName))
    }
    fun editUserPassword(password:String){
        _editUser.postValue(_editUser.value?.copy(password = password))
    }
    fun editUserEmail(email:String){
        _editUser.postValue(_editUser.value?.copy(email = email))
    }

    fun editUserConfirmedPassword(confirmedPassword: String){
        _editUser.postValue(_editUser.value?.copy(confirmedPassword = confirmedPassword))
    }

    fun editUser(): User?{
        val editUser = _editUser.value
        if(editUser?.password == editUser?.confirmedPassword) return _user.value
        return null
    }
}